Bug 183337 - run_interrupt_driven_hooks: still waiting after second for xenbusb_nop_confighook_cb
Summary: run_interrupt_driven_hooks: still waiting after second for xenbusb_nop_config...
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-xen mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-26 16:30 UTC by Rubets Anton
Modified: 2018-05-29 07:01 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rubets Anton 2013-10-26 16:30:00 UTC
After updating system for XEN 
In 9.x
Make buildkernel KERNCONF=XENHVM
Make installkernel KERNCONF=XENHVM
reboot
In boot i take
run_interrupt_driven_hooks: still waiting after 60 seconds for xenbusb_nop_confighook_cb 


In 10 
From cd on xen i take
run_interrupt_driven_hooks: still waiting after 60 seconds for xenbusb_nop_confighook_cb 

This problem repeated on different machines and xen installations(intel, amd, x86, x64).

Fix: 

Fast fix for work (I don't know if its stable )

In 9.x
Fix:
In /usr/src/sys/kern/subr_autoconf.c
comment or remove loop

/* while (!TAILQ_EMPTY(&intr_config_hook_list)) { */ 
.. There no need to comment
/* { */

And then rebuild\build kernel
How-To-Repeat: On 9.x freebsd build and install XENHVM kernel
On 10 try to boot
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:50:29 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.